bin/bash to /usr/bin/env bash (#1546)

diff --git a/gn_build.sh b/gn_build.sh
index 3bd349c..77440d2 100755
--- a/gn_build.sh
+++ b/gn_build.sh
@@ -1,4 +1,4 @@
-#!/bin/bash -e
+#!/usr/bin/env bash
 #
 # Copyright (c) 2020 Project CHIP Authors
 #
@@ -14,6 +14,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
+set -e
 
 CHIP_ROOT="$(dirname "$0")"